class aes::squid_filter {

  package { "squid" :
    ensure => "present",
  }

  file { '/etc/squid/squid.conf':
    ensure => file,
    mode   => '0644',
    owner  => root,
    group  => root,
    content => file("${module_name}/squid/squid.conf"),
  }
  
  file { '/usr/libexec/squid/helpers':
    ensure => directory,
    purge => true,
    recurse => true,
    mode   => '0644',
    owner  => root,
    group  => root,
    source => "puppet:///modules/${module_name}/squid/helpers",
  }

  file { '/var/cache/squid' :
    ensure => directory,
    mode   => '0664',
    owner  => squid,
    group  => squid,
  }

  file { '/var/lib/ssl_db' :
    ensure => directory,
    mode   => '0770',
    owner  => squid,
    group  => squid,
  }

  exec { '/usr/lib64/squid/ssl_crtd -c -s /var/lib/ssl_db' : 
    user => "squid",
    group => "squid",
    creates => '/var/lib/ssl_db/certs',
  }

  service { "squid" : 
    ensure => "running",
  }

}
